--- old/usr/src/cmd/getconf/getconf.c	2013-09-29 11:09:50.067783882 +0000
+++ new/usr/src/cmd/getconf/getconf.c	2013-09-29 11:09:50.080367268 +0000
@@ -221,6 +221,8 @@
 	/* Large File Summit name (UNIX 98) */
 
 	_PC_FILESIZEBITS,	"FILESIZEBITS",		PATHCONF,  NOFLAGS,
+	_PC_XATTR_ENABLED,	"XATTR_ENABLED",	PATHCONF,  NOFLAGS,
+	_PC_XATTR_EXISTS,	"XATTR_EXISTS",		PATHCONF,  NOFLAGS,
 
 	/* UNIX 03 Additions */
 
@@ -234,6 +236,11 @@
 	_PC_2_SYMLINKS,		"POSIX2_SYMLINKS",	PATHCONF,  NOFLAGS,
 	_PC_SYMLINK_MAX,	"SYMLINK_MAX",		PATHCONF,  NOFLAGS,
 
+	_PC_ACL_ENABLED,	"ACL_ENABLED",		PATHCONF,  NOFLAGS,
+	_PC_MIN_HOLE_SIZE,	"MIN_HOLE_SIZE",	PATHCONF,  NOFLAGS,
+	_PC_SATTR_ENABLED,	"SATTR_ENABLED",	PATHCONF,  NOFLAGS,
+	_PC_SATTR_EXISTS,	"SATTR_EXISTS",		PATHCONF,  NOFLAGS,
+
 	/* UNIX 08 additions */
 
 	_PC_TIMESTAMP_RESOLUTION, "_POSIX_TIMESTAMP_RESOLUTION",
@@ -826,7 +833,7 @@
 			return (usage());
 		errno = 0;
 		len = confstr((int)scp->value, NULL, (size_t)0);
-		if (len == 0)
+		if (len == 0) {
 			if (errno == EINVAL) {
 				(void) fprintf(stderr, gettext(INVAL_ARG),
 				    name);
@@ -836,6 +843,7 @@
 				(void) printf("undefined\n");
 				return (0);
 			}
+		}
 		/*
 		 * allocate space to store result of constr() into
 		 */
